export const options = [
	{
		name: ' --port',
		id: 'port',
		param: '--port',
		desc: 'Изменить порт Hestia',
		selected: true,
		text: '8083',
		textField: true,
	},
	{
		name: ' --lang',
		id: 'language',
		param: '--lang',
		desc: 'ISO 639-1 codes',
		selected: true,
		default: 'en',
		selectField: true,
		text: 'en',
	},
	{
		name: ' --hostname',
		id: 'hostname',
		param: '--hostname',
		desc: 'Установить имя хоста',
		selected: false,
		text: '',
		textField: true,
	},
	{
		name: ' --email',
		id: 'email',
		param: '--email',
		desc: 'Установить почту адмнистратора',
		selected: false,
		text: '',
		textField: true,
	},
	{
		name: ' --password',
		id: 'password',
		param: '--password',
		desc: 'Установить пароль администратора',
		selected: false,
		text: '',
		textField: true,
	},
	{
		name: ' --apache',
		id: 'apache',
		param: '--apache',
		desc: 'Веб сервер с поддержкой .htaccess',
		selected: true,
	},
	{ name: ' --phpfpm', id: 'phpfpm', param: '--phpfpm', desc: 'Установить PHP-FPM.', selected: true },
	{
		name: ' --multiphp',
		id: 'multiphp',
		param: '--multiphp',
		desc: 'Разрешить использовать несколько PHP версий.',
		selected: true,
	},
	{
		name: ' --vsftpd',
		id: 'vsftpd',
		param: '--vsftpd',
		desc: 'Легковесный, минималистичный и безопасный FTP сервер.',
		selected: true,
		conflicts: 'proftpd',
	},
	{
		name: ' --proftpd',
		id: 'proftpd',
		param: '--proftpd',
		desc: 'Продвинутый, модульный FTP сервер с поддержкой LDAP.',
		selected: false,
		conflicts: 'vsftpd',
	},
	{
		name: ' --named',
		id: 'named',
		param: '--named',
		desc: 'Собственный DNS сервер.',
		selected: true,
	},
	{
		name: ' --mariadb',
		id: 'mariadb',
		param: '--mariadb',
		desc: 'Ответление MySQL с дополнительными усовершенствованиями.',
		selected: true,
		conflicts: 'mysql8',
	},
	{
		name: ' --mysql8',
		id: 'mysql8',
		param: '--mysql8',
		desc: 'База данных с открытым исходным кодом',
		selected: false,
		conflicts: 'mariadb',
	},
	{
		name: ' --postgresql',
		id: 'postgresql',
		param: '--postgresql',
		desc: 'База данных с открытым исходным кодом',
		selected: false,
	},
	{
		name: ' --exim',
		id: 'exim',
		param: '--exim',
		desc: 'Позволить отправлять почту по SMTP.',
		selected: true,
	},
	{
		name: ' --dovecot',
		id: 'dovecot',
		param: '--dovecot',
		desc: 'Принимать почту и отправлять по IMAP/POP3.',
		selected: true,
		depends: 'exim',
	},
	{
		name: ' --sieve',
		id: 'sieve',
		param: '--sieve',
		desc: 'Управлять собственными фильтрами почты.',
		selected: false,
		depends: 'dovecot',
	},
	{
		name: ' --clamav',
		id: 'clamav',
		param: '--clamav',
		desc: 'Сканировать почту на вирусы.',
		selected: true,
		depends: 'exim',
	},
	{
		name: ' --spamassassin',
		id: 'spamassassin',
		param: '--spamassassin',
		desc: 'Фильтровать почту на спам.',
		selected: true,
		depends: 'exim',
	},
	{
		name: ' --iptables',
		id: 'iptables',
		param: '--iptables',
		desc: 'Управлять фаерволом.',
		selected: true,
	},
	{
		name: ' --fail2ban',
		id: 'fail2ban',
		param: '--fail2ban',
		desc: 'Предотвращение Bruteforce атак на SSH, Email, FTP, БД.',
		selected: true,
	},
	{
		name: ' --quota',
		id: 'quota',
		param: '--quota',
		desc: 'Использовать квоты на пользовательские аккаунты.',
		selected: false,
	},
	{ name: ' --api', id: 'api', param: '--api', desc: 'Activate API.', selected: true },
	{
		name: ' --interactive',
		id: 'interactive',
		param: '--interactive',
		desc: 'Интерактивная установка.',
		selected: true,
	},
	{ name: ' --force', id: 'force', param: '--force', desc: 'Принудительная установка.', selected: false },
];
