# Пакеты

Чтобы управлять пакетами, войдите в систему как **администратор** и перейдите на вкладку **Пользователи <i class="fas fa-fw fa-users"></i>**.

## Добавление нового пакета

1. Нажмите кнопку **<i class="fas fa-fw fa-plus-circle"></i> Добавить пакет**.

2. Заполните форму. При нажатии на значок <i class="fas fa-fw fa-infinity"><span class="visually-hidden">неограниченный</span></i> лимиты будут установлены на неограниченный.
3. Нажмите кнопку **<i class="fas fa-fw fa-save"></i> Сохранить** в правом верхнем углу.

## Копирование пакета

1. Наведите указатель мыши на пакет, который вы хотите скопировать.
2. Щелкните значок <i class="fas fa-fw fa-clone"><span class="visually-hidden">копировать</span></i> справа от имени пакета.

## Редактирование пакета

::: info
Пакет **system** нельзя редактировать или переименовывать.
:::

1. Наведите указатель мыши на пакет, который вы хотите редактировать.
2. Щелкните значок <i class="fas fa-fw fa-pencil-alt"><span class="visually-hidden">редактировать</span></i> справа от имени пакета.

## Удаление пакета

::: info
Пакет **system** нельзя удалить.
:::

1. Наведите указатель мыши на пакет, который вы хотите удалить.
2. Щелкните значок <i class="fas fa-fw fa-trash"><span class="visually-hidden">удалить</span></i> справа от имени пакета.

## Импорт существующих пакетов с другого сервера

Пакеты хранятся в `/usr/local/hestia/data/packages` как `package-name.pkg`. Просто скопируйте эти файлы пакетов на другие серверы.

## Конфигурация пакета

::: info
Некоторые параметры могут быть недоступны в зависимости от ваших настроек.
:::

### Квота

Общее доступное пространство для хранения, включая веб-сайты, учетные записи электронной почты, базы данных и домашнюю папку. Если вы включили **Квоты файлов** во время установки или в настройках сервера, это значение устанавливает ограничение квоты на веб-сайты, учетные записи электронной почты и домашнюю папку. Базы данных исключаются.

### Пропускная способность

Выделенная пропускная способность. Учитывается только исходящий трафик через Интернет.

В настоящее время нет доступных методов автоматической приостановки.

### Резервные копии

Максимальное количество резервных копий, которые можно сохранить.

## Веб-домены

### Веб-домены

Максимальное количество веб-доменов, которые можно создать.

### Псевдонимы

Максимальное количество псевдонимов, которые можно добавить на домен.

### Шаблон прокси-сервера

Шаблон прокси-сервера по умолчанию для созданных доменов.

### Веб-шаблон

Шаблон веб-сервера по умолчанию для созданных доменов.

## DNS

## Шаблон DNS

Шаблон DNS по умолчанию, который назначается при создании домена.

### Домены DNS

Максимальное количество доменов DNS, которые можно создать.

### Записи DNS

Максимальное количество записей DNS, которые можно добавить на домен.

### Серверы имен

Серверы имен по умолчанию, которые должен использовать пользователь. Можно добавить до 8 различных серверов имен.

## Почта

### Почтовые домены

Максимальное количество почтовых доменов, которые можно создать.

### Почтовые аккаунты

Максимальное количество почтовых аккаунтов, которые можно добавить на домен.

### Ограничение скорости

Максимальное количество писем, которые аккаунты могут отправлять в час.

## Базы данных

Максимальное количество баз данных, которые можно создать.

## Система

### Задания Cron

Максимальное количество заданий cron, которые можно создать.

### Доступ к оболочке

Выберите оболочку, которая будет показана пользователю при входе через SSH.

::: warning
Если установлено значение `nologin`, доступ по SSH отключен, но доступ по SFTP по-прежнему разрешен.
:::